### Method

# GLib String prepend

#### Declaration

    GString*
    g_string_prepend (
      GString* string,
      const gchar* val
    )

#### Description

Adds a string on to the start of a `GString`, expanding it if necessary.

#### Parameters

`val`

  Type: `const gchar*`

  The string to prepend on the start of `string`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GString`

`string`.

The returned data is owned by the instance.